FulfillmentInbound V2024_03_20
- class sp_api.api.FulfillmentInboundV20240320(marketplace: ~sp_api.base.marketplaces.Marketplaces = Marketplaces.US, *, refresh_token=None, account='default', credentials=None, restricted_data_token=None, proxies=None, verify=True, timeout=None, version=None, credential_providers=None, auth_token_client_class=<class 'sp_api.auth.access_token_client.AccessTokenClient'>)
FulfillmentInbound SP-API Client :link:
The Selling Partner API for Fulfillment By Amazon (FBA) Inbound. The FBA Inbound API enables building inbound workflows to create, manage, and send shipments into Amazon’s fulfillment network. The API has interoperability with the Send-to-Amazon user interface.
- item_guidance(self, **kwargs) ApiResponse
Examples
literal blocks:
FulfillmentInboundV20240320().item_guidance()
- Parameters:
**kwargs
- Returns:
ApiResponse
- plans(self, data, **kwargs) ApiResponse
Examples
literal blocks:
FulfillmentInboundV20240320().plans("value")
- Parameters:
data –
required**kwargs
- Returns:
ApiResponse
- create_shipment(shipment_id, data, **kwargs)
create_shipment(self, shipment_id, data, **kwargs) -> ApiResponsecreate_shipment(self, shipment_id, data, **kwargs)Examples
literal blocks:
FulfillmentInboundV20240320().create_shipment("value", "value")
- Parameters:
shipment_id –
requireddata –
required**kwargs
- Returns:
ApiResponse
- update_shipment(self, shipment_id, data, **kwargs) ApiResponse
Examples
literal blocks:
FulfillmentInboundV20240320().update_shipment("value", "value")
- Parameters:
shipment_id –
requireddata –
required**kwargs
- Returns:
ApiResponse
- update_shipment_name(self, inboundPlanId, shipmentId, **kwargs) ApiResponse
Updates the name of an existing shipment.
Examples
literal blocks:
FulfillmentInboundV20240320().update_shipment_name("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
body – UpdateShipmentNameRequest | required The body of the request to updateShipmentName.
- Returns:
ApiResponse
- preorder(self, shipment_id, **kwargs) ApiResponse
Examples
literal blocks:
FulfillmentInboundV20240320().preorder("value")
- Parameters:
shipment_id –
required**kwargs
- Returns:
ApiResponse
- confirm_preorder(shipment_id, **kwargs)
confirm_preorder(self, shipment_id, **kwargs) -> ApiResponseconfirm_preorder(self, shipment_id, **kwargs)Examples
literal blocks:
FulfillmentInboundV20240320().confirm_preorder("value")
- Parameters:
shipment_id –
required**kwargs
- Returns:
ApiResponse
- prep_instruction(self, data, **kwargs) ApiResponse
Examples
literal blocks:
FulfillmentInboundV20240320().prep_instruction("value")
- Parameters:
data –
required**kwargs
- Returns:
ApiResponse
- get_transport_information(self, shipment_id, **kwargs) ApiResponse
Examples
literal blocks:
FulfillmentInboundV20240320().get_transport_information("value")
- Parameters:
shipment_id –
required**kwargs
- Returns:
ApiResponse
- update_transport_information(self, shipment_id, **kwargs) ApiResponse
putTransportDetails
Examples
literal blocks:
FulfillmentInboundV20240320().update_transport_information("value")
- Parameters:
shipment_id –
required**kwargs
- Returns:
ApiResponse
- void_transport(self, shipment_id, **kwargs) ApiResponse
Examples
literal blocks:
FulfillmentInboundV20240320().void_transport("value")
- Parameters:
shipment_id –
required**kwargs
- Returns:
ApiResponse
- estimate_transport(self, shipment_id, **kwargs) ApiResponse
Examples
literal blocks:
FulfillmentInboundV20240320().estimate_transport("value")
- Parameters:
shipment_id –
required**kwargs
- Returns:
ApiResponse
- confirm_transport(shipment_id, **kwargs)
- get_labels(shipment_id, **kwargs)
get_labels(self, shipment_id, **kwargs) -> ApiResponseget_labels(self, shipment_id, **kwargs)Examples
literal blocks:
FulfillmentInboundV20240320().get_labels("value")
- Parameters:
shipment_id –
required**kwargs
- Returns:
ApiResponse
- bill_of_lading(self, shipment_id, **kwargs) ApiResponse
Examples
literal blocks:
FulfillmentInboundV20240320().bill_of_lading("value")
- Parameters:
shipment_id –
required**kwargs
- Returns:
ApiResponse
- get_shipments(self, **kwargs) ApiResponse
Examples
literal blocks:
FulfillmentInboundV20240320().get_shipments()
- Parameters:
**kwargs
- Returns:
ApiResponse
- shipment_items_by_shipment(self, shipment_id, **kwargs) ApiResponse
Examples
literal blocks:
FulfillmentInboundV20240320().shipment_items_by_shipment("value")
- Parameters:
shipment_id –
required**kwargs
- Returns:
ApiResponse
- shipment_items(self, **kwargs) ApiResponse
Examples
literal blocks:
FulfillmentInboundV20240320().shipment_items()
- Parameters:
**kwargs
- Returns:
ApiResponse
- get_shipments_by_id(self, shipment_id_list, **kwargs) ApiResponse
FulfillmentInbound().get_shipments_by_id(‘FBA16TBYQ6J6’)
Examples
literal blocks:
FulfillmentInboundV20240320().get_shipments_by_id("value")
- Parameters:
shipment_id_list –
required**kwargs
- Returns:
ApiResponse
- list_inbound_plans(self, **kwargs) ApiResponse
Provides a list of inbound plans with minimal information.
Examples
literal blocks:
FulfillmentInboundV20240320().list_inbound_plans()
- Parameters:
pageSize (key) – object | The number of inbound plans to return in the response matching the given query.
paginationToken (key) – object | A token to fetch a certain page when there are multiple pages worth of results. The value of this token is fetched from the pagination returned in the API response. In the absence of the token value from the query parameter the API returns the first page of the result.
status (key) – object | The status of an inbound plan.
sortBy (key) – object | Sort by field.
sortOrder (key) – object | The sort order.
- Returns:
ApiResponse
- create_inbound_plan(self, **kwargs) ApiResponse
Creates an inbound plan. An inbound plan contains all the necessary information to send shipments into Amazon’s fufillment network.
Examples
literal blocks:
FulfillmentInboundV20240320().create_inbound_plan()
- Parameters:
body – CreateInboundPlanRequest | required The body of the request to createInboundPlan.
- Returns:
ApiResponse
- get_inbound_plan(self, inboundPlanId, **kwargs) ApiResponse
Fetches the top level information about an inbound plan.
Examples
literal blocks:
FulfillmentInboundV20240320().get_inbound_plan("value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
- Returns:
ApiResponse
- list_inbound_plan_boxes(self, inboundPlanId, **kwargs) ApiResponse
Provides a paginated list of box packages in an inbound plan.
Examples
literal blocks:
FulfillmentInboundV20240320().list_inbound_plan_boxes("value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
pageSize (key) – object | The number of boxes to return in the response matching the given query.
paginationToken (key) – object | A token to fetch a certain page when there are multiple pages worth of results. The value of this token is fetched from the pagination returned in the API response. In the absence of the token value from the query parameter the API returns the first page of the result.
- Returns:
ApiResponse
- cancel_inbound_plan(self, inboundPlanId, **kwargs) ApiResponse
Cancels an Inbound Plan. Charges may apply if the cancellation is performed outside of a void window. The window for Amazon Partnered Carriers is 24 hours for Small Parcel Delivery (SPD) and one hour for Less-Than-Truckload (LTL) carrier shipments.
Examples
literal blocks:
FulfillmentInboundV20240320().cancel_inbound_plan("value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
- Returns:
ApiResponse
- list_inbound_plan_items(self, inboundPlanId, **kwargs) ApiResponse
Provides a paginated list of item packages in an inbound plan.
Examples
literal blocks:
FulfillmentInboundV20240320().list_inbound_plan_items("value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
pageSize (key) – object | The number of items to return in the response matching the given query.
paginationToken (key) – object | A token to fetch a certain page when there are multiple pages worth of results. The value of this token is fetched from the pagination returned in the API response. In the absence of the token value from the query parameter the API returns the first page of the result.
- Returns:
ApiResponse
- set_packing_information(self, inboundPlanId, **kwargs) ApiResponse
Sets packing information for an inbound plan. This should be called after an inbound plan is created to populate the box level information required for planning and transportation estimates.
Examples
literal blocks:
FulfillmentInboundV20240320().set_packing_information("value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
body – SetPackingInformationRequest | required The body of the request to setPackingInformation.
- Returns:
ApiResponse
- list_packing_options(self, inboundPlanId, **kwargs) ApiResponse
Retrieves a list of all packing options for an inbound plan. Packing options must first be generated by the corresponding operation before becoming available.
Examples
literal blocks:
FulfillmentInboundV20240320().list_packing_options("value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
pageSize (key) – object | The number of packing options to return in the response matching the given query.
paginationToken (key) – object | A token to fetch a certain page when there are multiple pages worth of results. The value of this token is fetched from the pagination returned in the API response. In the absence of the token value from the query parameter the API returns the first page of the result.
- Returns:
ApiResponse
- generate_packing_options(self, inboundPlanId, **kwargs) ApiResponse
Generates available packing options for the inbound plan.
Examples
literal blocks:
FulfillmentInboundV20240320().generate_packing_options("value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
- Returns:
ApiResponse
- confirm_packing_option(self, inboundPlanId, packingOptionId, **kwargs) ApiResponse
Confirms the packing option for an inbound plan.
Examples
literal blocks:
FulfillmentInboundV20240320().confirm_packing_option("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
packingOptionId – object | required Identifier of a packing option.
- Returns:
ApiResponse
- list_packing_group_items(self, inboundPlanId, packingGroupId, **kwargs) ApiResponse
Retrieves a page of items in a given packing group. Packing options must first be generated by the corresponding operation before packing group items can be listed.
Examples
literal blocks:
FulfillmentInboundV20240320().list_packing_group_items("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
packingGroupId – object | required Identifier of a packing group.
pageSize (key) – object | The number of packing group items to return in the response matching the given query.
paginationToken (key) – object | A token to fetch a certain page when there are multiple pages worth of results. The value of this token is fetched from the pagination returned in the API response. In the absence of the token value from the query parameter the API returns the first page of the result.
- Returns:
ApiResponse
- list_inbound_plan_pallets(self, inboundPlanId, **kwargs) ApiResponse
Provides a paginated list of pallet packages in an inbound plan. An inbound plan will have pallets when the related details are provided after generating Less-Than-Truckload (LTL) carrier shipments.
Examples
literal blocks:
FulfillmentInboundV20240320().list_inbound_plan_pallets("value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
pageSize (key) – object | The number of pallets to return in the response matching the given query.
paginationToken (key) – object | A token to fetch a certain page when there are multiple pages worth of results. The value of this token is fetched from the pagination returned in the API response. In the absence of the token value from the query parameter the API returns the first page of the result.
- Returns:
ApiResponse
- list_placement_options(self, inboundPlanId, **kwargs) ApiResponse
Provides a list of all placement options for an inbound plan. Placement options must first be generated by the corresponding operation before becoming available.
Examples
literal blocks:
FulfillmentInboundV20240320().list_placement_options("value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
pageSize (key) – object | The number of placement options to return in the response matching the given query.
paginationToken (key) – object | A token to fetch a certain page when there are multiple pages worth of results. The value of this token is fetched from the pagination returned in the API response. In the absence of the token value from the query parameter the API returns the first page of the result.
- Returns:
ApiResponse
- generate_placement_options(self, inboundPlanId, **kwargs) ApiResponse
Generates placement options for the inbound plan.
Examples
literal blocks:
FulfillmentInboundV20240320().generate_placement_options("value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
body – GeneratePlacementOptionsRequest | required The body of the request to generatePlacementOptions.
- Returns:
ApiResponse
- confirm_placement_option(self, inboundPlanId, placementOptionId, **kwargs) ApiResponse
Confirms the placement option for an inbound plan. Once confirmed, it cannot be changed for the Inbound Plan.
Examples
literal blocks:
FulfillmentInboundV20240320().confirm_placement_option("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
placementOptionId – object | required The identifier of a placement option. A placement option represents the shipment splits and destinations of SKUs.
- Returns:
ApiResponse
- get_shipment(self, inboundPlanId, shipmentId, **kwargs) ApiResponse
Provides the full details for a specific shipment within an inbound plan. The transportationOptionId inside acceptedTransportationSelection can be used to retrieve the transportation details for the shipment.
Examples
literal blocks:
FulfillmentInboundV20240320().get_shipment("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
- Returns:
ApiResponse
- get_delivery_challan_document(self, inboundPlanId, shipmentId, **kwargs) ApiResponse
Provide delivery challan document for PCP transportation in IN marketplace.
Examples
literal blocks:
FulfillmentInboundV20240320().get_delivery_challan_document("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
**kwargs
- Returns:
ApiResponse
- update_shipment_delivery_window(self, inboundPlanId, **kwargs) ApiResponse
Update the time window that a shipment will be delivered to the warehouse. The window is used to provide the expected time that a non-Amazon partnered carrier will arrive at the warehouse.
Examples
literal blocks:
FulfillmentInboundV20240320().update_shipment_delivery_window("value")
- Parameters:
inboundPlanId –
required**kwargs
- Returns:
ApiResponse
- get_self_ship_appointment_slots(self, inboundPlanId, shipmentId, **kwargs) ApiResponse
Retrieves a list of available self-ship appointment slots used to drop off a shipment at a warehouse.
Examples
literal blocks:
FulfillmentInboundV20240320().get_self_ship_appointment_slots("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
**kwargs
- Returns:
ApiResponse
- generate_self_ship_appointment_slots(self, inboundPlanId, shipmentId, **kwargs) ApiResponse
Initiates the process of generating the appointment slots list.
Examples
literal blocks:
FulfillmentInboundV20240320().generate_self_ship_appointment_slots("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
**kwargs
- Returns:
ApiResponse
- schedule_self_ship_appointment(self, inboundPlanId, shipmentId, slotId, **kwargs) ApiResponse
Confirms or reschedules a self-ship appointment slot against a shipment.
Examples
literal blocks:
FulfillmentInboundV20240320().schedule_self_ship_appointment("value", "value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
slotId – object | required An identifier to a self-ship appointment slot.
**kwargs
- Returns:
ApiResponse
- list_transportation_options(self, inboundPlanId, **kwargs) ApiResponse
Retrieves all transportation options for a shipment. Transportation options must first be generated by the generateTransportationOptions operation before becoming available.
Examples
literal blocks:
FulfillmentInboundV20240320().list_transportation_options("value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
pageSize (key) – object | The number of transportation options to return in the response matching the given query.
paginationToken (key) – object | A token to fetch a certain page when there are multiple pages worth of results. The value of this token is fetched from the pagination returned in the API response. In the absence of the token value from the query parameter the API returns the first page of the result.
placementOptionId (key) – object | The placement option to get transportation options for. Either placementOptionId or shipmentId must be specified.
shipmentId (key) – object | The shipment to get transportation options for. Either placementOptionId or shipmentId must be specified.
- Returns:
ApiResponse
- generate_transportation_options(self, inboundPlanId, **kwargs) ApiResponse
Generates available transportation options for a given placement option.
Examples
literal blocks:
FulfillmentInboundV20240320().generate_transportation_options("value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
body – GenerateTransportationOptionsRequest | required The body of the request to generateTransportationOptions.
- Returns:
ApiResponse
- confirm_transportation_options(self, inboundPlanId, **kwargs) ApiResponse
Confirms all the transportation options for an inbound plan. A placement option must be confirmed prior to use of this API. Once confirmed, new transportation options can not be generated or confirmed for the Inbound Plan.
Examples
literal blocks:
FulfillmentInboundV20240320().confirm_transportation_options("value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
body – ConfirmTransportationOptionsRequest | required The body of the request to confirmTransportationOptions.
- Returns:
ApiResponse
- list_item_compliance_details(self, **kwargs) ApiResponse
List the inbound compliance details for MSKUs in a given marketplace.
Note: MSKUs that contain certain characters must be encoded. For more information, refer to [URL Encoding](https://developer-docs.amazon.com/sp-api/docs/url-encoding).
The following characters must be double percent encoded:
%
+
,
Examples: An MSKU value of test%msku is encoded as test%2525msku. An MSKU value of test,msku is encoded as test%252Cmsku.
Examples
literal blocks:
FulfillmentInboundV20240320().list_item_compliance_details()
- Parameters:
mskus (key) – object | required A list of merchant SKUs, a merchant-supplied identifier of a specific SKU.
marketplaceId (key) – object | required The Marketplace ID. For a list of possible values, refer to [Marketplace IDs](https://developer-docs.amazon.com/sp-api/docs/marketplace-ids).
- Returns:
ApiResponse
- update_item_compliance_details(self, **kwargs) ApiResponse
Update compliance details for a list of MSKUs. The details provided here are only used for the India (IN - A21TJRUUN4KGV) marketplace compliance validation.
Examples
literal blocks:
FulfillmentInboundV20240320().update_item_compliance_details()
- Parameters:
marketplaceId (key) – object | required The Marketplace ID. For a list of possible values, refer to [Marketplace IDs](https://developer-docs.amazon.com/sp-api/docs/marketplace-ids).
body – UpdateItemComplianceDetailsRequest | required The body of the request to updateItemComplianceDetails.
- Returns:
ApiResponse
- get_inbound_operation_status(self, operationId, **kwargs) ApiResponse
Gets the status of the processing of an asynchronous API call.
Examples
literal blocks:
FulfillmentInboundV20240320().get_inbound_operation_status("value")
- Parameters:
operationId – object | required Identifier of an asynchronous operation.
- Returns:
ApiResponse
- generate_delivery_window_options(self, inboundPlanId, shipmentId, **kwargs) ApiResponse
Generates available delivery window options for a given shipment.
Examples
literal blocks:
FulfillmentInboundV20240320().generate_delivery_window_options("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required The shipment to generate delivery window options for.
- Returns:
ApiResponse
- list_delivery_window_options(self, inboundPlanId, shipmentId, **kwargs) ApiResponse
Retrieves all delivery window options for a shipment. Delivery window options must first be generated by the generateDeliveryWindowOptions operation before becoming available.
Examples
literal blocks:
FulfillmentInboundV20240320().list_delivery_window_options("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required The shipment to get delivery window options for.
pageSize (key) – object | The number of delivery window options to return in the response matching the given query.
paginationToken (key) – object | A token to fetch a certain page when there are multiple pages worth of results. The value of this token is fetched from the pagination returned in the API response. In the absence of the token value from the query parameter the API returns the first page of the result.
- Returns:
ApiResponse
- confirm_delivery_window_options(self, inboundPlanId, shipmentId, deliveryWindowOptionId, **kwargs) ApiResponse
Confirms the delivery window option for chosen shipment within an inbound plan. A placement option must be confirmed prior to use of this API. Once confirmed, new delivery window options cannot be generated, but the chosen delivery window option can be updated before shipment closure. The window is used to provide the expected time when a shipment will arrive at the warehouse. All transportation options which have the program CONFIRMED_DELIVERY_WINDOW require a delivery window to be confirmed prior to transportation option confirmation.
Examples
literal blocks:
FulfillmentInboundV20240320().confirm_delivery_window_options("value", "value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required The shipment to confirm the delivery window option for.
deliveryWindowOptionId – object | required The id of the delivery window option to be confirmed.
- Returns:
ApiResponse
- list_shipment_items(self, inboundPlanId, shipmentId, **kwargs) ApiResponse
Provides a paginated list of item packages in a shipment.
Examples
literal blocks:
FulfillmentInboundV20240320().list_shipment_items("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
pageSize (key) – object | The number of items to return in the response matching the given query.
paginationToken (key) – object | A token to fetch a certain page when there are multiple pages worth of results. The value of this token is fetched from the pagination returned in the API response. In the absence of the token value from the query parameter the API returns the first page of the result.
- Returns:
ApiResponse
- create_marketplace_item_labels(self, **kwargs) ApiResponse
For a given marketplace - creates labels for a list of MSKUs.
Examples
literal blocks:
FulfillmentInboundV20240320().create_marketplace_item_labels()
- Parameters:
body – CreateMarketplaceItemLabelsRequest | required The body of the request to createMarketplaceItemLabels.
- Returns:
ApiResponse
- list_prep_details(**kwargs) ApiResponse
list_prep_details(self, **kwargs) -> ApiResponseGet preparation details for a list of MSKUs in a specified marketplace.
Note: MSKUs that contain certain characters must be encoded. For more information, refer to [URL Encoding](https://developer-docs.amazon.com/sp-api/docs/url-encoding).
The following characters must be double percent encoded:
%
+
,
Examples: An MSKU value of test%msku is encoded as test%2525msku. An MSKU value of test,msku is encoded as test%252Cmsku.
- Examples:
literal blocks:
FulfillmentInboundV20240320().list_prep_details()
- Args:
key marketplaceId: object | required The marketplace ID. For a list of possible values, refer to [Marketplace IDs](https://developer-docs.amazon.com/sp-api/docs/marketplace-ids). key mskus: object | required A list of merchant SKUs, a merchant-supplied identifier of a specific SKU.
- Returns:
ApiResponse
- set_prep_details(self, **kwargs) ApiResponse
Set the preparation details for a list of MSKUs in a specified marketplace.
Examples
literal blocks:
FulfillmentInboundV20240320().set_prep_details()
- Parameters:
body – SetPrepDetailsRequest | required The body of the request to setPrepDetails.
- Returns:
ApiResponse
- list_shipment_boxes(self, inboundPlanId, shipmentId, **kwargs) ApiResponse
Provides a paginated list of box packages in a shipment.
Examples
literal blocks:
FulfillmentInboundV20240320().list_shipment_boxes("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
pageSize (key) – object | The number of boxes to return in the response matching the given query.
paginationToken (key) – object | A token to fetch a certain page when there are multiple pages worth of results. The value of this token is fetched from the pagination returned in the API response. In the absence of the token value from the query parameter the API returns the first page of the result.
- Returns:
ApiResponse
- update_shipment_tracking_details(self, inboundPlanId, shipmentId, **kwargs) ApiResponse
Updates a shipment’s tracking details.
Examples
literal blocks:
FulfillmentInboundV20240320().update_shipment_tracking_details("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
body – UpdateShipmentTrackingDetailsRequest | required The body of the request to updateShipmentTrackingDetails.
- Returns:
ApiResponse
- update_inbound_plan_name(self, inboundPlanId, **kwargs) ApiResponse
Updates the name of an existing inbound plan.
Examples
literal blocks:
FulfillmentInboundV20240320().update_inbound_plan_name("value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
body – UpdateInboundPlanNameRequest | required The body of the request to updateInboundPlanName.
- Returns:
ApiResponse
- list_packing_group_boxes(self, inboundPlanId, packingGroupId, **kwargs) ApiResponse
Retrieves a page of boxes from a given packing group. These boxes were previously provided through the setPackingInformation operation. This API is used for workflows where boxes are packed before Amazon determines shipment splits.
Examples
literal blocks:
FulfillmentInboundV20240320().list_packing_group_boxes("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
packingGroupId – object | required Identifier of a packing group.
pageSize (key) – object | The number of packing group boxes to return in the response matching the given query.
paginationToken (key) – object | A token to fetch a certain page when there are multiple pages worth of results. The value of this token is fetched from the pagination returned in the API response. In the absence of the token value from the query parameter the API returns the first page of the result.
- Returns:
ApiResponse
- list_shipment_content_update_previews(self, inboundPlanId, shipmentId, **kwargs) ApiResponse
Retrieve a paginated list of shipment content update previews for a given shipment. The shipment content update preview is a summary of the requested shipment content changes along with the transportation cost implications of the change that can only be confirmed prior to the expiry date specified.
Examples
literal blocks:
FulfillmentInboundV20240320().list_shipment_content_update_previews("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
pageSize (key) – object | The number of content update previews to return.
paginationToken (key) – object | A token to fetch a certain page when there are multiple pages worth of results. The value of this token is fetched from the pagination returned in the API response. In the absence of the token value from the query parameter the API returns the first page of the result.
- Returns:
ApiResponse
- generate_shipment_content_update_previews(self, inboundPlanId, shipmentId, **kwargs) ApiResponse
Generate a shipment content update preview given a set of intended boxes and/or items for a shipment with a confirmed carrier. The shipment content update preview will be viewable with the updated costs and contents prior to confirmation.
Examples
literal blocks:
FulfillmentInboundV20240320().generate_shipment_content_update_previews("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
body – GenerateShipmentContentUpdatePreviewsRequest | required The body of the request to generateShipmentContentUpdatePreviews.
- Returns:
ApiResponse
- get_shipment_content_update_preview(self, inboundPlanId, shipmentId, contentUpdatePreviewId, **kwargs) ApiResponse
Retrieve a shipment content update preview which provides a summary of the requested shipment content changes along with the transportation cost implications of the change that can only be confirmed prior to the expiry date specified.
Examples
literal blocks:
FulfillmentInboundV20240320().get_shipment_content_update_preview("value", "value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
contentUpdatePreviewId – object | required Identifier of a content update preview.
- Returns:
ApiResponse
- confirm_shipment_content_update_preview(self, inboundPlanId, shipmentId, contentUpdatePreviewId, **kwargs) ApiResponse
Confirm a shipment content update preview and accept the changes in transportation cost.
Examples
literal blocks:
FulfillmentInboundV20240320().confirm_shipment_content_update_preview("value", "value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
contentUpdatePreviewId – object | required Identifier of a content update preview.
- Returns:
ApiResponse
- get_delivery_challan_document_get(self, inboundPlanId, shipmentId, **kwargs) ApiResponse
Provide delivery challan document for PCP transportation in IN marketplace.
Examples
literal blocks:
FulfillmentInboundV20240320().get_delivery_challan_document_get("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
- Returns:
ApiResponse
- list_shipment_pallets(self, inboundPlanId, shipmentId, **kwargs) ApiResponse
Provides a paginated list of pallet packages in a shipment. A palletized shipment will have pallets when the related details are provided after generating Less-Than-Truckload (LTL) carrier shipments.
Examples
literal blocks:
FulfillmentInboundV20240320().list_shipment_pallets("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
pageSize (key) – object | The number of pallets to return in the response matching the given query.
paginationToken (key) – object | A token to fetch a certain page when there are multiple pages worth of results. The value of this token is fetched from the pagination returned in the API response. In the absence of the token value from the query parameter the API returns the first page of the result.
- Returns:
ApiResponse
- cancel_self_ship_appointment_put(self, inboundPlanId, shipmentId, **kwargs) ApiResponse
Cancels a self-ship appointment slot against a shipment. Only available in the following [marketplaces](https://developer-docs.amazon.com/sp-api/docs/marketplace-ids): MX, BR, EG, SA, AE, IN.
Examples
literal blocks:
FulfillmentInboundV20240320().cancel_self_ship_appointment_put("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
body – CancelSelfShipAppointmentRequest | required The body of the request to cancelSelfShipAppointment.
- Returns:
ApiResponse
- cancel_self_ship_appointment(self, inboundPlanId, shipmentId, **kwargs) ApiResponse
Backward-compatible alias for cancel_self_ship_appointment_put.
- get_self_ship_appointment_slots_get(self, inboundPlanId, shipmentId, **kwargs) ApiResponse
Retrieves a list of available self-ship appointment slots used to drop off a shipment at a warehouse. Only available in the following [marketplaces](https://developer-docs.amazon.com/sp-api/docs/marketplace-ids): MX, BR, EG, SA, AE, IN.
Examples
literal blocks:
FulfillmentInboundV20240320().get_self_ship_appointment_slots_get("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
pageSize (key) – object | The number of self ship appointment slots to return in the response matching the given query.
paginationToken (key) – object | A token to fetch a certain page when there are multiple pages worth of results. The value of this token is fetched from the pagination returned in the API response. In the absence of the token value from the query parameter the API returns the first page of the result.
- Returns:
ApiResponse
- generate_self_ship_appointment_slots_post(self, inboundPlanId, shipmentId, **kwargs) ApiResponse
Initiates the process of generating the appointment slots list. Only available in the following [marketplaces](https://developer-docs.amazon.com/sp-api/docs/marketplace-ids): MX, BR, EG, SA, AE, IN.
Examples
literal blocks:
FulfillmentInboundV20240320().generate_self_ship_appointment_slots_post("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
body – GenerateSelfShipAppointmentSlotsRequest | required The body of the request to generateSelfShipAppointmentSlots.
- Returns:
ApiResponse
- schedule_self_ship_appointment_post(self, inboundPlanId, shipmentId, slotId, **kwargs) ApiResponse
Confirms or reschedules a self-ship appointment slot against a shipment. Only available in the following [marketplaces](https://developer-docs.amazon.com/sp-api/docs/marketplace-ids): MX, BR, EG, SA, AE, IN.
Examples
literal blocks:
FulfillmentInboundV20240320().schedule_self_ship_appointment_post("value", "value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
slotId – object | required An identifier to a self-ship appointment slot.
body – ScheduleSelfShipAppointmentRequest | required The body of the request to scheduleSelfShipAppointment.
- Returns:
ApiResponse
- update_shipment_source_address(self, inboundPlanId, shipmentId, **kwargs) ApiResponse
Updates the source address of an existing shipment. The shipment source address can only be updated prior to the confirmation of the shipment carriers. As a result of the updated source address, existing transportation options will be invalidated and will need to be regenerated to capture the potential difference in transportation options and quotes due to the new source address.
Examples
literal blocks:
FulfillmentInboundV20240320().update_shipment_source_address("value", "value")
- Parameters:
inboundPlanId – object | required Identifier of an inbound plan.
shipmentId – object | required Identifier of a shipment. A shipment contains the boxes and units being inbounded.
body – UpdateShipmentSourceAddressRequest | required The body of the request to updateShipmentSourceAddress.
- Returns:
ApiResponse